import { defineVxeComponent } from '../../ui/src/comp';
import XEUtils from 'xe-utils';
import { getConfig, createEvent, globalMixins } from '../../ui';
export default {
    name: 'VxeMention',
    mixins: [
        globalMixins.sizeMixin
    ],
    props: {
        size: {
            type: String,
            default: () => getConfig().mention.size || getConfig().size
        }
    },
    data() {
        const reactData = {};
        return {
            xID: XEUtils.uniqueId(),
            reactData
        };
    },
    computed: Object.assign({}, {}),
    methods: {
        //
        // Method
        //
        dispatchEvent(type, params, evnt) {
            const $xeMention = this;
            $xeMention.$emit(type, createEvent(evnt, { $mention: $xeMention }, params));
        },
        //
        // Render
        //
        renderVN(h) {
            return h('div', {
                ref: 'refElem',
                class: 'vxe-mention'
            });
        }
    },
    render(h) {
        return this.renderVN(h);
    }
};
